Bug 1459053 - Review Request: python-patrole - A tool for verifying that Role-Based Access Control is being correctly enforced.
Review Request: python-patrole - A tool for verifying that Role-Based Access...
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Javier Peña
hguemar
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-06-06 03:59 EDT by Chandan Kumar
Modified: 2017-08-08 10:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 10:08:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpena: rdo‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
RDO 6970 None None None 2017-06-06 16:44 EDT

  None (edit)
Description Chandan Kumar 2017-06-06 03:59:15 EDT
Package Name: python-patrole
Summary: A tool for verifying that Role-Based Access Control is being correctly enforced. It is a Tempest plugin used for doing RBAC testing.

Description: Patrole allows users to run API tests using specified RBAC roles. This allows deployments to verify that only intended roles have access to those APIs. This is critical to ensure security, especially in large deployments with custom roles.

Spec File: https://github.com/chkumar246/patrole-distgit/blob/rpm-master/python-patrole.spec
Comment 1 Luigi Toscano 2017-06-06 04:36:24 EDT
Shouldn't the name of main binary package follow the pattern used for other Tempest plugin (python[23]-<name>-tests)?
Comment 2 Haïkel Guémar 2017-06-06 15:48:51 EDT
could be an exception since <name> is supposed to an OpenStack service but Patrole is not linked to a specific service
Comment 3 Alan Pevec 2017-06-06 16:41:55 EDT
License check summary, project is Apache v2.0 licensed:

 Apache (v2.0)
 Apache (v2.0) GENERATED FILE
 *No copyright* Apache
 *No copyright* Apache (v2.0)
 *No copyright* Apache (v2.0) GENERATED FILE
 *No copyright* UNKNOWN
Comment 5 Javier Peña 2017-06-15 06:08:03 EDT
Review notes:

- The warnings about SourceX and %global are expected, because the SRPM was generated by DLRN.

- The explicit lib dependency is a fedora-review bug, it's actually python-urllib3 the package depends on.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 58 files have unknown
     license. Detailed output of licensecheck in /tmp/python-
     patrole/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -patrole-tests-tempest , python-patrole-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.1.1.dev52
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-patrole-tests-tempest-0.1.1-0.20170615094344.cddd116.el7.centos.noarch.rpm
          python-patrole-doc-0.1.1-0.20170615094344.cddd116.el7.centos.noarch.rpm
          python-patrole-0.1.1-0.20170615094344.cddd116.el7.centos.src.rpm
python2-patrole-tests-tempest.noarch: E: no-changelogname-tag
python-patrole-doc.noarch: W: summary-not-capitalized C patrole documentation
python-patrole-doc.noarch: E: no-changelogname-tag
python-patrole.src: E: no-changelogname-tag
python-patrole.src: W: invalid-url Source0: patrole-0.1.1.dev52-0.20170615094344.cddd116.tar.gz
3 packages and 0 specfiles checked; 3 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
python2-patrole-tests-tempest.noarch: E: explicit-lib-dependency python-urllib3
python2-patrole-tests-tempest.noarch: E: no-changelogname-tag
python-patrole-doc.noarch: W: summary-not-capitalized C patrole documentation
python-patrole-doc.noarch: E: no-changelogname-tag
2 packages and 0 specfiles checked; 3 errors, 1 warnings.



Requires
--------
python2-patrole-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-oslo-config
    python-oslo-log
    python-oslo-policy
    python-pbr
    python-stevedore
    python-tempest-tests
    python-urllib3

python-patrole-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-patrole-tests-tempest:
    python-patrole-tests-tempest
    python2-patrole-tests-tempest

python-patrole-doc:
    python-patrole-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn -n python-patrole -r
Buildroot used: dlrn-centos7-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

The package is APPROVED.
Comment 6 Chandan Kumar 2017-08-08 10:08:27 EDT
The package is now available from the RDO Trunk repo:
https://trunk.rdoproject.org/centos7/current/

and here is the package dist-git : https://github.com/rdo-packages/patrole-distgit

Note You need to log in before you can comment on or make changes to this bug.